Summary:  Low latency high performance signal convolver LV2 plugin
Name: lv2-ir-plugins
Version: 1.3.1
Release: 1%{?dist}
License: GPL v2
Group: Applications/Multimedia
URL: http://factorial.hu/plugins/lv2/ir
Source0: ir.lv2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: lv2core-devel gtk2-devel libsndfile-devel libsamplerate-devel
BuildRequires: zita-convolver-devel fftw3-devel

%description
IR is a no-latency/low-latency, realtime, high performance signal
convolver especially for creating reverb effects. Supports impulse
responses with 1, 2 or 4 channels, in any soundfile format supported
by libsndfile.

%prep
%setup -q -n ir.lv2-%{version}

%build
perl -p -i -e "s|/lib/|/%{_lib}/|g" Makefile
make PREFIX=%{_prefix}
make PREFIX=%{_prefix} convert4chan

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 convert4chan $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING
%{_libdir}/lv2/ir.lv2
%{_bindir}/convert4chan

%changelog
* Thu May 10 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.3.1-1
- initial build
